Summary:     The GNU Privacy Guard
Name:        gnupg
Version:     1.2.7
Release:     6.pp
License:     GPL
Group:       Applications/Communications
Source0:     ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
URL:         http://www.gnupg.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    bzip2 zlib openldap22 glibc pam perl
Provides:    %{name}.pp gpg openpgp
Prereq:      /bin/bash /sbin/install-info
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: bzip2-devel zlib-devel openldap22-devel glibc-devel
BuildPrereq: bison gettext perl
ExclusiveOS: linux


%description
GnuPG (the GNU Privacy Guard) is GNU's tool for secure communication
and data storage. It can be used to encrypt data and to create digital
signatures. It includes an advanced key management facility and is
compliant with the proposed OpenPGP Internet standard as described in
RFC2440. As such, it is meant to be compatible with PGP from NAI, Inc.
Because it does not use any patented algorithms, it can be used without
any restrictions.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
        --prefix=/usr             \
        --sysconfdir=/etc         \
        --localstatedir=/var      \
	--libexecdir=/usr/lib     \
	--infodir=/usr/share/info \
        --mandir=/usr/share/man   \
	--enable-m-guard          \
	--enable-sha512           \
	--enable-external-hkp     \
	--without-capabilities    \
	--with-zlib               \
	--with-bzip2
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/share/gnupg/FAQ
rm -f $RPM_BUILD_ROOT/usr/share/gnupg/faq.*

pushd tools
#perl -pi -e "s,../g10/gpg,gpg,g" mail-signed-keys
#perl -pi -e "s,../g10/gpg,gpg,g" lspgpot
for file in convert-from-106 gpgsplit lspgpot mail-signed-keys mpicalc ring-a-party; do
   install -m 755 ${file} $RPM_BUILD_ROOT/usr/bin/
done
popd

for file in hkp ldap mailto; do
   ln -s /usr/lib/gnupg/gpgkeys_${file} $RPM_BUILD_ROOT/usr/bin/
done


%post
/sbin/install-info /usr/share/info/gpg.info /usr/share/info/dir
/sbin/install-info /usr/share/info/gpgv.info /usr/share/info/dir


%preun
/sbin/install-info --delete /usr/share/info/gpg.info /usr/share/info/dir
/sbin/install-info --delete /usr/share/info/gpgv.info /usr/share/info/dir


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog COPYING INSTALL
%doc NEWS PROJECTS README THANKS TODO VERSION
%doc doc/DETAILS doc/FAQ doc/faq.html doc/HACKING
%doc doc/OpenPGP doc/README* doc/TRANSLATE doc/samplekeys*
/usr/bin/*
%dir /usr/lib/gnupg
/usr/lib/gnupg/*
%dir /usr/share/gnupg
/usr/share/gnupg/*
/usr/share/info/*.info*
/usr/share/locale/*
/usr/share/man/man1/*
/usr/share/man/man7/*


%changelog
* Mon Mar 14 2005 peter.pramberger@member.fsf.org
- new version 1.2.7

* Wed Oct 20 2004 peter.pramberger@member.fsf.org
- new version 1.2.6

* Thu Feb 26 2004 peter.pramberger@member.fsf.org
- added missing tools to package

* Wed Feb 18 2004 peter.pramberger@member.fsf.org
- created

